# Statistic (deprecated)

{% hint style="danger" %} <mark style="color:red;">**This resource is deprecated.**</mark> <mark style="color:red;">You should consider using our GraphQL API with the</mark> <mark style="color:red;">`Metrics`</mark> <mark style="color:red;">object.</mark>
{% endhint %}

## **Get statistics**

`GET /statistic`

See below to discover used fields and see [reading section](/technologies/rest-api.md#read) to discover some output examples.

### **Filters**

| Filter                                                      | Description                                                                  | Values                                                                                  | Use                                                        |
| ----------------------------------------------------------- | ---------------------------------------------------------------------------- | --------------------------------------------------------------------------------------- | ---------------------------------------------------------- |
| website\_id `deprecated, use website_list property instead` | Website identifier                                                           | `?filters[website_id]=123`                                                              |                                                            |
| website\_list                                               | Website identifiers                                                          | `?filters[website_list]=123,24,32`                                                      |                                                            |
| channel                                                     | Channel                                                                      | `chat`, `call`, `facebook`, `facebookBusinessOnMessenger`, `sms`, `whatsapp` or `video` | `?filters[channel]=chat`                                   |
| resource                                                    | Resource to group the data by                                                | `operator`, `group`, `skill`, `rule`, `contact_type` or `page_type`                     | `?filters[resource]=operator`                              |
| resource\_id                                                | Resource ID to get only the data of this resource                            | `?filters[resource_id]=32`                                                              |                                                            |
| indicators                                                  | Indicators to filter                                                         | See list below                                                                          | `?filters[indicators]=indicator1,indicator2`               |
| from                                                        | Date from                                                                    | `YYYY-MM-DD` or `YYYY-MM-DD HH:MM:SS`                                                   | `?filters[from]=YYYY-MM-DD`                                |
| to                                                          | Date to                                                                      | `YYYY-MM-DD` or `YYYY-MM-DD HH:MM:SS`                                                   | `?filters[to]=YYYY-MM-DD`                                  |
| granularity                                                 | Get data per hour, per day or per month (only when 1 indicator is requested) | `hour`, `day`, `month`                                                                  | `?filters[indicators]=indicator1&filters[granularity]=day` |

### **Indicators**

#### **Contact indicators**

available on `chat`, `call`, `video`, `facebook`, `facebookBusinessOnMessenger`, `sms`, `whatsapp`

| Indicator                                          | Label                                                                                                   | Description                                                                                                                            | Value  |
| -------------------------------------------------- | ------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------- | ------ |
| contact\_answered\_after\_first\_message\_duration | <p>Response time after first message<br>(not available for bots -> null value returned)</p>             | Average response time between conversation push event (assignation to an agent or expert) and the first agent's answer.                | Second |
| contact\_answered\_duration                        | <p>Response time<br>(not available for bots -> null value returned)</p>                                 | Average response time between a customer's request and the agent's response.                                                           | Second |
| contact\_closed\_after\_last\_message\_duration    | Length of time between last message and closing of chat (not available for bots -> null value returned) | Average amount of time between the visitor's last message and the closing of the chat discussion on the panel.                         | Second |
| contact\_duration                                  | Average processing time                                                                                 | Average length of all contacts, the length of a contact being defined as the difference between the end time (closure) and start time. | Second |
| contact\_number                                    | Initiated contacts                                                                                      | Number of contacts initiated during the selected period.                                                                               | Number |
| contact\_sent\_message\_number                     | Sent messages                                                                                           | Total number of messages within a conversation sent by the agents.                                                                     | Number |
| contact\_received\_message\_number                 | Received messages                                                                                       | Total number of messages within a conversation received by the agents.                                                                 | Number |
| contact\_unanswered\_number                        | Contacts initiated with no response                                                                     | Number of contacts initiated by a visitor with no response from an agent.                                                              | Number |

available on `chat`

| Indicator                                      | Label                                        | Description                                                                                                          | Value  |
| ---------------------------------------------- | -------------------------------------------- | -------------------------------------------------------------------------------------------------------------------- | ------ |
| contact\_missed\_number                        | Missed contact opportunities                 | Estimated number of missed contact opportunities because the agents were totally busy, offline or not in production. | Number |
| contact\_missed\_with\_busy\_operators\_number | Missed contact opportunities (agents busy)   | Estimated number of missed contact opportunities due to agents being totally busy.                                   | Number |
| contact\_missed\_with\_no\_operators\_number   | Missed contact opportunities (agents absent) | Estimated number of contacts missed because the agents were either not connected or not in production.               | Number |
| contact\_simultaneous\_number                  | Simultaneous contacts                        | Average number of contacts processed simultaneously by an agent during his online presence.                          | Number |

available on `chat`, `call`, `video`

| Indicator                           | Label                        | Description                                                                                                   | Value  |
| ----------------------------------- | ---------------------------- | ------------------------------------------------------------------------------------------------------------- | ------ |
| contact\_per\_hour\_average\_number | Contacts / hr of the website | Average number of contacts processed by all agents for an hour of production.                                 | Number |
| contact\_per\_hour\_number          | Contacts per hour            | Average number of contacts processed by an agent for an hour of production.                                   | Number |
| rule\_contact\_rate                 | Response rate                | Proportion of displays having generated a contact.                                                            | Rate   |
| rule\_display\_number               | Displays                     | Number of chat/call displays generated on the website during the period.                                      | Number |
| targeting\_rule\_triggered          | Triggers                     | Number of times a targeting rule has been triggered, as a consequence of visitors meeting the right criteria. | Number |

#### **Presence indicators**

available on `chat`, `call` and `video`

| Indicator                               | Label                                  | Description                                                                                                              | Number |
| --------------------------------------- | -------------------------------------- | ------------------------------------------------------------------------------------------------------------------------ | ------ |
| max\_and\_partial\_occupation\_duration | Global occupation                      | Period during which an agent is connected to the panel and is occupied partially or to the maximum.                      | Second |
| max\_occupation\_duration               | Maximum occupation                     | Period during which an agent is connected to the panel and is occupied to maximum capacity.                              | Second |
| max\_occupation\_rate                   | Maximum occupation rate                | Part of production time during which an agent is connected to the panel and is occupied to a maximum.                    | Rate   |
| non\_production\_duration               | Not in production                      | Period during which an agent is connected to the panel, unavailable and yet not busy.                                    | Second |
| non\_production\_rate                   | Not in production rate                 | Proportion of connection time during which an agent is connected to the panel, unavailable and yet not busy.             | Rate   |
| presentation\_duration                  | Smoothed period of button presentation | Period during which buttons are displayable. Length of the time slot covered with at least one agent available.          | Second |
| production\_smoothed\_duration          | Smoothed period of production          | Period during which operators were in production. Length of the time slot covered with at least one agent in production. | Second |

available on `chat`, `call`, `video`, `facebook`, `facebookBusinessOnMessenger`, `sms`, `whatsapp`

| Indicator                           | Label                       | Description                                                                                                           | Value |
| ----------------------------------- | --------------------------- | --------------------------------------------------------------------------------------------------------------------- | ----- |
| presence\_duration                  | Total period of presence    | Total period during which the agents were connected to the desk.                                                      |       |
| presence\_smoothed\_duration        | Smoothed period of presence | Period during which operators were connected. Length of the time slot covered with at least one agent present.        |       |
| occupation\_rate                    | Partial occupation rate     | Part of production time during which an agent is connected to the panel and is partially busy.                        |       |
| non\_occupation\_duration           | Inocc.                      | Period of time during which an agent is connected to the panel and is simultaneously available and not busy.          |       |
| non\_occupation\_rate               | Rate of non-occupation      | Part of production time during which an agent is connected to the panel and is simultaneously available and not busy. |       |
| max\_and\_partial\_occupation\_rate | Global occupation rate      | Part of production time during which an agent is connected to the panel and is occupied partially or to the maximum.  |       |
| production\_duration                | In production               | Period during which an agent is connected to the panel and is available or busy.                                      |       |

#### **Satisfaction indicators (deprecated)**

{% hint style="danger" %} <mark style="color:red;">**These indicators are no longer available in our REST API**</mark> <mark style="color:red;">since the new satisfaction is computed in a different way. You should consider using our GraphQL API with the query</mark> <mark style="color:red;">`satisfactionSurveyResponses`</mark> <mark style="color:red;">or with the object</mark> <mark style="color:red;">`satisfactionSurvey`</mark> <mark style="color:red;">contained in the</mark> <mark style="color:red;">`searchClosedConversations`</mark> <mark style="color:red;">query.</mark>
{% endhint %}

available on `chat`, `call` and `video`

| Indicator                        | Label                 | Description                                                                           | Value  |
| -------------------------------- | --------------------- | ------------------------------------------------------------------------------------- | ------ |
| satisfaction\_delay\_rate        | Waiting time          | Visitor satisfaction rate with the waiting time before receiving an answer.           | Rate   |
| satisfaction\_global\_rate       | Overall satisfaction  | Overall satisfaction rate of visitors.                                                | Rate   |
| satisfaction\_resolution\_rate   | Quality of response   | Visitors' satisfaction rate with the response given by the agent.                     | Rate   |
| satisfaction\_respondent\_number | Number of respondents | Number of visitors who replied to a satisfaction survey following a discussion.       | Number |
| satisfaction\_respondent\_rate   | Response rate         | Proportion of conversations after which visitors completed the satisfaction survey.   | Rate   |
| satisfaction\_welcome\_rate      | Quality of welcome    | Visitor satisfaction rate with the welcome.                                           | Rate   |
| occupation\_duration             | Partial occupation    | Period during which an agent is connected to the panel, unavailable and yet not busy. | Second |

#### **Transactions indicators**

available on `chat`, `call`, `video`, `facebook`, `facebookBusinessOnMessenger`, `sms`, `whatsapp`

| Indicator                                           | Label                                                  | Description                                                                                                      | Value  |
| --------------------------------------------------- | ------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------- | ------ |
| conversion\_rate                                    | Conversion rate                                        | Proportion of conversations which led to transactions.                                                           | Rate   |
| cart\_after\_contact\_amount                        | Average order value after contact                      | Average order value following a contact.                                                                         | Number |
| cart\_global\_amount                                | Average order value on the website                     | Average Order Value, all visitor categories.                                                                     | Amount |
| transaction\_after\_contact\_amount                 | T/O after contact                                      | Total turnover from visitors who dialogued and completed a transaction after a contact.                          | Amount |
| transaction\_after\_contact\_number                 | Transactions after contact                             | Total number of transactions from visitors who dialogued and then completed a transaction following the contact. | Number |
| transaction\_total\_amount                          | Website T/O                                            | Total turnover, all visitor categories.                                                                          | Amount |
| transaction\_total\_number                          | Website transactions                                   | Total number of transactions (all categories).                                                                   | Number |
| transaction\_after\_contact\_duration               | Transformation time after contact                      | Average time between the first exchange and the transaction following a contact.                                 | Second |
| transaction\_after\_conversation\_amount\_per\_hour | Website transactions amount per hour                   | Average turnover generated by an agent after a contact on an hourly basis                                        | Amount |
| transaction\_missed\_with\_busy\_operators\_amount  | T/O missed (agents totally busy)                       | Estimated lost turnover due to agents being totally busy.                                                        | Amount |
| transaction\_missed\_with\_busy\_operators\_number  | Missed transaction opportunities (agents totally busy) | Estimated number of missed transaction opportunities because the agents were totally busy.                       | Number |
| transaction\_missed\_with\_no\_operators\_amount    | Missed T/O opportunity (agents absent)                 | Estimated turnover missed because the agents were not connected or not in production.                            | Amount |
| transaction\_missed\_with\_no\_operators\_number    | Missed transaction opportunities (agents absent)       | Estimated number of missed transaction opportunities because the agents were not connected or not in production. | Number |
| transaction\_amount\_per\_conversation              | Website transactions amount per conversation           | Average turnover generated for each conversation done                                                            | Amount |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iadvize.dev/technologies/rest-api/statistic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
